| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
Digikam::DbEngineGuiErrorHandler Class Reference
Inheritance diagram for Digikam::DbEngineGuiErrorHandler:

## Public Slots
void | connectionError (DbEngineErrorAnswer *answer, const QSqlError &error, const QString &query) override
void | consultUserForError (DbEngineErrorAnswer *answer, const QSqlError &error, const QString &query) override
Public Slots inherited from Digikam::DbEngineErrorHandler
virtual void | connectionError (DbEngineErrorAnswer *answer, const QSqlError &error, const QString &query)=0
| In the situation of a connection error, all threads will be waiting with their queries and this method is called.
virtual void | consultUserForError (DbEngineErrorAnswer *answer, const QSqlError &error, const QString &query)=0
| In the situation of an error requiring user intervention or information, all threads will be waiting with their queries and this method is called.

## Public Member Functions
| DbEngineGuiErrorHandler (const DbEngineParameters &parameters)
bool | checkDatabaseConnection ()